# Generated from rack-google-analytics-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rack-google-analytics

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: Rack middleware to inject the Google Analytics tracking code into outgoing responses
License: MIT
URL: https://github.com/kangguru/rack-google-analytics
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit) >= 2.5
# BuildRequires: rubygem(test-unit) < 3
# BuildRequires: rubygem(shoulda) >= 2.11
# BuildRequires: rubygem(shoulda) < 3
# BuildRequires: rubygem(rack) >= 1.2
# BuildRequires: rubygem(rack) < 2
# BuildRequires: rubygem(rack-test) >= 0.5
# BuildRequires: rubygem(rack-test) < 1
BuildArch: noarch

%description
Simple Rack middleware for implementing google analytics tracking in your
Ruby-Rack based project. Supports synchronous and asynchronous insertion and
configurable load options.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Apr 20 2022 mockbuilder - 1.2.0-1
- Initial package
